using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace New_College.Model.Models
{
    /// <summary>
    /// 省市区
    /// </summary>
    public class SysRegion
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = true)]
        public int KeyId { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string RegionCode { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string RegionName { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string ParentCode { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string SimpleName { get; set; }

        public int Level { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string CityCode { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string ZipCode { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string MerName { get; set; }

        public double Lng { get; set; }

        public double Lat { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar", Length = 40, IsNullable = true)]
        public string PinYin { get; set; }

        [SugarColumn(IsNullable = true)]
        public int IsOpen { get; set; }
    }
}
